package ch.zhaw.projekt2.turnierverwaltung.main.tournamentList;

import javafx.scene.control.Alert;
import javafx.scene.control.ButtonBar;
import javafx.scene.control.ButtonType;

public class AlertDelete extends Alert {
    ButtonType yesButton = new ButtonType("Ja", ButtonBar.ButtonData.YES);
    ButtonType noButton = new ButtonType("Nein", ButtonBar.ButtonData.NO);
    Boolean result;

    public AlertDelete(String name){
        super(Alert.AlertType.WARNING);
        setTitle("Entfernen");
        setHeaderText("Turnier entfernen?");
        setContentText("Sind Sie sicher, dass sie das Turnier " + name + " entfernen wollen?\n" +
                "Nach diesem Vorgang kann es nicht wiederhergestellt werden.");
        getButtonTypes().setAll(yesButton, noButton);
    }

    public boolean showAndGetResult() {
        result = false;
        showAndWait().ifPresent(type -> {
            if (type == yesButton) {
                result = true;
            }
        });
        return result;
    }


}
